#include <stdio.h>
#include <string.h>
#include "dparse.h"

extern D_ParserTables parser_tables_gram;
char s[] = "a + b";

int
main(int argc, char *argv[]) {
  D_Parser *p = new_D_Parser(&parser_tables_gram, sizeof(D_ParseNode_User));
  D_ParseNode *pn = 0;
  int i;
  for (i=0;i<10;i++){
  if ((pn = dparse(p, s, strlen(s))) && !p->syntax_errors) {
    printf("success\n");
    free_D_ParseNode(p, pn);
  } else
    printf("failure\n");
  }
  free_D_Parser(p); 
  return 0;
}
