#include <stdio.h>
#include <string.h>
#include "dparse.h"

extern D_ParserTables parser_tables_gram;
char s[] = "200 4264 Ok\n\
.\n\
RQNT 63 aaln/1@00085D03022F MGCP 1.0\n\
R: D/[0-9#*](N)\n\
X: testing\n\
S: L/vmwi(-)\n";

int
main(int argc, char *argv[]) {
  D_Parser *p = new_D_Parser(&parser_tables_gram, sizeof(D_ParseNode_User));
  D_ParseNode *pn = 0;
//  while(1){
  if ((pn = dparse(p, s, strlen(s))) && !p->syntax_errors) {
    printf("success\n");
    free_D_ParseNode(p, pn);
  } else
    printf("failure\n");
//  }
  free_D_Parser(p); 
  return 0;
}
